Skip to content
PaloNexus
Request access Request

Deny Delegation

POST
/v1/delegations/{did_id}/deny
curl --request POST \
--url https://example.com/v1/delegations/example/deny \
--header 'Content-Type: application/json' \
--data '{ "approver": "example", "reason": "example" }'
did_id
required
Did Id
string
Media type application/json
DenyRequest
object
approver
required
Approver
string
reason
required
Reason
string
Example generated
{
"approver": "example",
"reason": "example"
}

Successful Response

Media type application/json
DelegationRecord
object
id
required
Id
string
status
required
Status
string
actorName
required
Actorname
string
actorDid
Any of:
string
task
required
Task
string
action
required
Action
string
resource
required
Resource
string
reason
required
Reason
string
requestedAt
required
Requestedat
string
approver
Any of:
string
approvedAt
Any of:
string
deniedAt
Any of:
string
denyReason
Any of:
string
vcJti
Any of:
string
notAfter
Any of:
integer
Example generated
{
"id": "example",
"status": "example",
"actorName": "example",
"actorDid": "example",
"task": "example",
"action": "example",
"resource": "example",
"reason": "example",
"requestedAt": "example",
"approver": "example",
"approvedAt": "example",
"deniedAt": "example",
"denyReason": "example",
"vcJti": "example",
"notAfter": 1
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}